Name:       perl-App-Asciio 
Version:    1.02.71 
Release:    3%{?dist}
# see lib/App/Asciio.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Asciio backend libraries 
Source:     http://search.cpan.org/CPAN/authors/id/N/NK/NKH/App-Asciio-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/App-Asciio
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

# non-perl
BuildRequires: desktop-file-utils

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Algorithm::Diff)
BuildRequires: perl(Clone)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::TreeDumper)
BuildRequires: perl(Data::TreeDumper::Renderer::GTK)
BuildRequires: perl(Directory::Scratch)
BuildRequires: perl(Directory::Scratch::Structured)
BuildRequires: perl(Eval::Context)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk2)
BuildRequires: perl(Gtk2::Gdk::Keysyms)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Readonly)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Block)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Strict)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(version) >= 0.5

# keep rpmlint happy 
Requires:      perl(lib)

# this package has a rather basic way of mixing-in functionalities that leads
# rpm to believe that it doesn't actually provide these
Provides: perl(App::Asciio::Actions)     = %{version}
Provides: perl(App::Asciio::Ascii)       = %{version}
Provides: perl(App::Asciio::Connections) = %{version}
Provides: perl(App::Asciio::Dialogs)     = %{version}
Provides: perl(App::Asciio::Elements)    = %{version}
Provides: perl(App::Asciio::Io)          = %{version}
Provides: perl(App::Asciio::Menues)      = %{version}
Provides: perl(App::Asciio::Options)     = %{version}
Provides: perl(App::Asciio::Setup)       = %{version}
Provides: perl(App::Asciio::Undo)        = %{version}

%description
This gtk2-perl application allows you to draw ASCII diagrams in a modern
(but simple) graphical application. The ASCII graphs can be saved as ASCII
or in a format that allows you to modify them later.

This package contains the back-end libraries needed to implement asciio.  For
the actual application itself, please install the 'asciio' package.

%package -n asciio
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Draw ascii art quickly and easily!
Requires:   %{name} = %{version}-%{release}

%description -n asciio
This application allows you to draw ASCII diagrams in a modern (but simple)
graphical application. The ASCII graphs can be saved as ASCII or in a format
that allows you to modify them later.

Think: Visio for ASCII :-)

%prep
%setup -q -n App-Asciio-%{version}

# generate our menu entry
cat << \EOF > asciio.desktop
[Desktop Entry] 
Name=Asciio
GenericName=Ascii diagrams editor
Comment=Ascii diagrams editor
Exec=%{_bindir}/asciio
#Icon= no icon currently
Terminal=false
Type=Application
Categories=Graphics;
Version=0.9.4
EOF

# fix perms
find . -type f -exec chmod -c -x {} +

# filter out unwanted (unversioned) provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/^perl(App::Asciio)$/d'
EOF

%define __perl_provides %{_builddir}/App-Asciio-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications asciio.desktop

%check
# passes outside of rpm, but fails in rpmbuild F-10+ (no $DISPLAY)
#make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes documentation/ 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files -n asciio
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_datadir}/applications/*
#%{_mandir}/man1/*.1*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.02.71-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.02.71-2
- update per RHBZ#483676, comment #3

* Mon Jan 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.02.71-1
- update to 1.02.71

* Sat Nov 29 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.01-2
- update for submission
- break out into asciio subpackage

* Sun Oct 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.01-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.1)

